Package org.springframework.security.web.authentication.preauth.x509

# Interface X509PrincipalExtractor

All Known Implementing Classes:
  `SubjectDnX509PrincipalExtractor`

public interface X509PrincipalExtractor
Obtains the principal from an X509Certificate for use within the framework.

## Method Summary

Modifier and Type
Method
Description
`Object`
`extractPrincipal(X509Certificate cert)`
Returns the principal (usually a String) for the given certificate.

## Method Details

### extractPrincipal

Object extractPrincipal(X509Certificate cert)
Returns the principal (usually a String) for the given certificate.